Bug 132852 - Area fill dialog: Spacing between list items missing
Summary: Area fill dialog: Spacing between list items missing
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
7.0.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:7.0.0
Keywords: bibisectRequest
Depends on:
Blocks: Area-Fill-Tab
  Show dependency treegraph
 
Reported: 2020-05-08 17:55 UTC by Telesto
Modified: 2020-07-04 20:46 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Screenshot (168.86 KB, image/jpeg)
2020-05-08 17:56 UTC, Telesto
Details
solved (143.92 KB, image/png)
2020-05-16 05:57 UTC, BogdanB
Details
the look now (106.75 KB, image/png)
2020-05-23 08:42 UTC, BogdanB
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Telesto 2020-05-08 17:55:57 UTC
Description:
UI: Separation in the gradient gone. Probably missed the news bulletin


Steps to Reproduce:
1. Area Gradient tab dialog of 6.1 and compare with 7.0
2. There is a separation between gradients in 6.1 not in 7.0. The look of 6.1 is quite nice.. why is everything stitched together again?

Actual Results:
No seperation

Expected Results:
Put them back?


Reproducible: Always


User Profile Reset: No



Additional Info:
Version: 7.0.0.0.alpha0+ (x64)
Build ID: 97a2c1fc5e376c0c00968f17a0392c6d3a5ed565
CPU threads: 4; OS: Windows 6.3 Build 9600; UI render: Skia/Raster; VCL: win; 
Locale: nl-NL (nl_NL); UI-Language: en-US
Calc: threaded
Comment 1 Telesto 2020-05-08 17:56:19 UTC
Created attachment 160545 [details]
Screenshot
Comment 2 Telesto 2020-05-08 17:57:26 UTC
I probably missed the UX decision.. or is this a bug?
Comment 3 Heiko Tietze 2020-05-11 13:45:22 UTC
Don't see it with gtk3 but when using VCL=gen. Some spacing between the entries would be nice (not only gradients tab but also for bitmap and pattern).
Comment 4 Commit Notification 2020-05-14 18:12:49 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/da10ce7452554a6c2ea6f664a3f87b8125369d06

Related: tdf#132852 SetExtraSpacing can't precede SetDrawingArea

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 BogdanB 2020-05-16 05:57:39 UTC
Created attachment 160883 [details]
solved

Verified on
Version: 7.0.0.0.alpha1+
Build ID: b1e396d86655a0131498a4691dd8069ea76c3477
CPU threads: 4; OS: Linux 5.4; UI render: default; VCL: gtk3; 
Locale: ro-RO (ro_RO.UTF-8); UI: en-US
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2020-05-15_04:58:38
Calc: threaded
Comment 6 Heiko Tietze 2020-05-16 06:56:03 UTC
(In reply to BogdanB from comment #5)
> solved

Please check with VCL=gen. I believe this also needs https://gerrit.libreoffice.org/c/core/+/94237, it does at least on my machine.
Comment 7 BogdanB 2020-05-16 07:01:55 UTC
Yes it is not solved on GEN

Version: 7.0.0.0.alpha1
Build ID: 6a03b2a54143a9bc0c6d4c7f1...
CPU threads: 4; OS: Linux 5.4; UI render: default; VCL: x11; 
Locale: ro-RO (ro_RO.UTF-8); UI: en-US
Calc: threaded
Comment 8 Commit Notification 2020-05-16 08:17:11 UTC
Heiko Tietze committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/5fccbf0f6f55d697efa20d0d2282d39631fe6c59

Resolves tdf#132852 - Area fill dialog spacing

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 BogdanB 2020-05-23 08:42:37 UTC
Created attachment 161182 [details]
the look now

This is how it looks on master now on X11

Version: 7.0.0.0.alpha1+
Build ID: 444c7c736be7545344298a9cbb3a69886edc5ecb
CPU threads: 4; OS: Linux 5.4; UI render: default; VCL: x11; 
Locale: ro-RO (ro_RO.UTF-8); UI: en-US
Calc: threaded